Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jexl.resolver
Class FlatResolver

    java.lang.Object
      |
      +--org.apache.commons.jexl.resolver.FlatResolver

All Implemented Interfaces:
  JexlExprResolver

public class FlatResolver
extends Object
implements JexlExprResolver

Simple resolver to try the expression as-is from the context. For example, you could resolve ant-ish properties (foo.bar.woogie) using this... hint, hint...

Version:
  $Id: FlatResolver.java,v 1.1 2002/06/13 16:10:44 geirm Exp $

Field Summary
`protected boolean` | `noValOnNull` flag to return NO_VALUE on null from context this allows jexl to try to evaluate

Fields inherited from interface org.apache.commons.jexl.JexlExprResolver
`NO_VALUE`

Constructor Summary
`FlatResolver()` default CTOR
`FlatResolver(boolean noValOnNull)` CTOR that lets you override the default behavior of noValOnNull, which is true (jexl gets a shot after if null)

Method Summary
`Object` | `evaluate(JexlContext context, String expression)` evaluates an expression against the context

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### noValOnNull

    protected boolean noValOnNull

  flag to return NO_VALUE on null from context this allows jexl to try to evaluate

Constructor Detail

### FlatResolver

    public FlatResolver()

  default CTOR

### FlatResolver

    public FlatResolver(boolean noValOnNull)

  CTOR that lets you override the default behavior of noValOnNull, which is true (jexl gets a shot after if null)

Method Detail

### evaluate

    public Object evaluate(JexlContext context,
                           String expression)

  Description copied from interface: `JexlExprResolver`
  evaluates an expression against the context
  Specified by:
    `evaluate` in interface `JexlExprResolver`
  Following copied from interface: `org.apache.commons.jexl.JexlExprResolver`
  Parameters:
    `context` - current data context
    `expression` - expression to evauluate
  Returns:
    value (may be null) po the NO_VALUE object to indicate no resolution.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2004 The Apache Software Foundation. All Rights Reserved.